package nl.iobyte.themeparkconnector.api.network.packet.operator;

import nl.iobyte.themeparkconnector.api.operator.enums.OperatorRequestReply;
import nl.iobyte.themeparkconnector.api.network.payload.operator.OperatorRequestReplyPayload;
import nl.iobyte.themeparkconnector.api.packet.enums.PacketChannel;
import nl.iobyte.themeparkconnector.api.packet.objects.AbstractPacket;

public class OperatorRequestReplyPacket extends AbstractPacket {

    public OperatorRequestReplyPacket(OperatorRequestReply requestReply, String message) {
        super(PacketChannel.CLIENT_OPERATOR_REQUEST_REPLY, new OperatorRequestReplyPayload(
                requestReply,
                message,
                null
        ));
    }

    public OperatorRequestReplyPacket(OperatorRequestReply requestReply, String message, Object data) {
        super(PacketChannel.CLIENT_OPERATOR_REQUEST_REPLY, new OperatorRequestReplyPayload(
                requestReply,
                message,
                data
        ));
    }

}
