package nl.iobyte.themeparkconnector.api.show.objects;

import java.util.Date;
import java.util.UUID;

public class Ticket {

    private final String show, id;
    private final int seat;
    private final Date date;
    private final UUID uuid;

    public Ticket(String id, String show, int seat, Date date, UUID uuid) {
        this.id = id;
        this.show = show;
        this.seat = seat;
        this.date = date;
        this.uuid = uuid;
    }

    public String getID() {
        return id;
    }

    public String getShowID() {
        return show;
    }

    public int getSeat() {
        return seat;
    }

    public Date getShowDate() {
        return date;
    }

    public UUID getUUID() {
        return uuid;
    }

}
