package nl.iobyte.themeparkconnector.api.event.operator;

import nl.iobyte.themeparkconnector.api.event.objects.OperatorEvent;
import nl.iobyte.themeparkconnector.api.operator.objects.AttractionOperator;
import nl.iobyte.themeparkconnector.api.operator.objects.panel.OperatorItem;
import nl.iobyte.themeparkconnector.api.operator.objects.panel.OperatorItemState;

public class OperatorStateEvent extends OperatorEvent<OperatorItemState> {

    private final OperatorItem item;
    private final String data;

    public OperatorStateEvent(AttractionOperator operator, OperatorItem item, OperatorItemState old, OperatorItemState current, String data) {
        super(operator, old, current);
        this.item = item;
        this.data = data;
    }

    public OperatorItem getItem() {
        return item;
    }

    public String getData() {
        return data;
    }

}

