package nl.iobyte.themeparkconnector.commands.subcommands.operator;

import nl.iobyte.commandapi.interfaces.SubCommand;
import nl.iobyte.themeparkconnector.api.load.objects.OperatorDataLoader;
import nl.iobyte.themeparkconnector.api.message.Text;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;
import java.util.List;

public class OperatorReloadCommand extends SubCommand {

    public OperatorReloadCommand()  {
        super("themeparkconnector.admin", "operator", "reload");

        addSyntax("/themeparkconnector operator reload");
    }

    @Override
    public void onPlayerCommand(Player player, List<Object> list, int i) {
        onConsoleCommand(player, list, i);
    }

    @Override
    public void onConsoleCommand(CommandSender  sender, List<Object> list, int i) {
        sender.sendMessage(Text.color("&6&lThemeParkConnectorMC &f➢ &6Attempting to load ride operators"));
        new OperatorDataLoader().load();
    }

}
